{% extends "bases/modelo.html" %}
{% load static %}

{% block info%}
{% endblock %}

{% block conteudo %}

<div class="d-grid gap-2 px-2 mx-auto my-4" style="max-width: 740px;">
    <div class="card text-center bg-white bg-opacity-25" style="border: #ffffff; border-radius: 1;
    box-shadow: 0 4px 10px 0 rgba(36, 36, 36, 0.2);">
        <div class="card-body">
            <i class="fas fa-paw fa-lg"></i>
            <h5 class="card-title">Adicione um Pet</h5>
            <button class="btn btn-dark-green" id='info-card-btn' type="button" onclick="location.href='/animals/form/'">Adicionar Pet</button>
        </div>
    </div>
</div>


{% for animal in animals %}
<div class="card mx-auto mt-4 " style="max-width: 540px;" id="card-info">
    <div class="row no-gutters">
        <div class="col-md-4">
        <img src="{{ animal.imagem.url }}" class="img-fluid p-1" style="max-width: 180px;" alt="...">
        <a href="/animals/{{animal.id}}/" class="stretched-link"></a>
        </div>
        <div class="col-md-8">
        <div class="card-body" id='info-body'>
            <div class="row">
                <div class="col">
                    <div>
                        <h3>nome: {{ animal.nome }}</h3>
                        <div class='row'>
                            <div class='col'>
                                <p>raça: {{ animal.raca }}</p>
                                <p>coloração: {{ animal.coloracao }}</p>
                            </div>
                            <div class='col'>
                                <p>genero: {{ animal.genero }}</p>
                                <p>data_nascimento: {{ animal.data_nasc }}</p>
                            </div>
                        </div>
                        <p>Dono: {{ animal.dono.username }}</p>
                        <p>Dono email: {{ animal.dono.email }}</p>
                </div>
                <div class="col">
                    <p>{{ peso.peso }}</p>
                </div>
            </div>
            </div>
        </div>
        </div>
    </div>
    
</div>
</div>
<div class="d-grid gap-2 px-2 mx-auto mb-3" style="max-width: 540px;" >
    <div class="card text-center " style="border: transparent; background-color: transparent;"> 
    <div class="row">
        <div class="col">
            <button class="btn btn-dark-green btn-block" id='info-card-btn' type="button" onclick="location.href='/animals/{{animal.id}}/'">Dados <i class="fas fa-paw "></i>
            </button>
        </div>
        <div class="col">
            <button class="btn btn-dark-green btn-block" id='info-card-btn' type="button" onclick="location.href='/animals/update/{{animal.id}}/'">Editar <i class='fas fa-pen '></i></button>
        </div>
        <div class="col">
            <button class="btn btn-dark-green btn-block" id='info-card-btn' type="button" onclick="location.href='/animals/delete/{{animal.id}}'">Excluir <i class='fas fa-trash'></i></button>
        </div>
    </div>
    </div>
</div>
{% endfor %}


{% endblock %}